Skip to content

ACL

All operations require authentication.

4 operationsv1/dedicated/ceph
Agent setup

List IP ACLsProduction

GET
/1.0/dedicated/ceph/{serviceName}/acl

Returns the IP ACLs of the cluster. Only the networks listed in an ACL can connect to the cluster.

Path parameters

serviceName
required
string

Service name

Response

200response[]successful operation
family
read-only
familyEnum

Family of IP ACL

ValuesIPV4IPV6
id
read-only
integer

ID of IP ACL

netmask
read-only
ip

IP address (e.g., 192.0.2.0)

network
read-only
ip

IP address (e.g., 192.0.2.0)

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/dedicated/ceph/{serviceName}/acl \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "family": "IPV4", "id": 0, "netmask": "192.0.2.0", "network": "192.0.2.0" }]

Get an IP ACLProduction

GET
/1.0/dedicated/ceph/{serviceName}/acl/{aclId}

Returns an IP ACL, which allows one network to connect to the cluster.

Path parameters

aclId
required
integer

Acl ID

serviceName
required
string

Service name

Response

200responsesuccessful operation
family
read-only
familyEnum

Family of IP ACL

ValuesIPV4IPV6
id
read-only
integer

ID of IP ACL

netmask
read-only
ip

IP address (e.g., 192.0.2.0)

network
read-only
ip

IP address (e.g., 192.0.2.0)

Example uses aclId = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/dedicated/ceph/{serviceName}/acl/{aclId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "family": "IPV4", "id": 0, "netmask": "192.0.2.0", "network": "192.0.2.0"}

Create IP ACLsProduction

POST
/1.0/dedicated/ceph/{serviceName}/acl

Creates one IP ACL for each network in aclList, to allow it to connect to the cluster. The ACLs also apply to CephFS.

Path parameters

serviceName
required
string

Service name

Request body (required)

aclList
required
string[]

List of new ACLs

Response

200stringsuccessful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/dedicated/ceph/{serviceName}/acl \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
"string"

Delete an IP ACLProduction

DELETE
/1.0/dedicated/ceph/{serviceName}/acl/{aclId}

Deletes the IP ACL. Clients in its network can no longer connect to the cluster.

Path parameters

aclId
required
integer

Acl ID

serviceName
required
string

Service name

Response

200stringsuccessful operation

Example uses aclId = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/dedicated/ceph/{serviceName}/acl/{aclId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
"string"